import React, { PropTypes } from 'react'
import Icon from './Icon'

const DoubleTriangle = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 24 24">
        <g>
          <polygon fill={fill} points="12,2 18,10 6,10 "/>
          <polygon data-color="color-2" fill={fill} points="12,22 18,14 6,14 "/>
        </g>
      </svg>
    </Icon>
  )
}

DoubleTriangle.propTypes = {
  ...Icon.propTypes
}

DoubleTriangle.defaultProps = {
  ...Icon.defaultProps
}

export default DoubleTriangle
