import React from 'react'
import { injectGlobal } from 'styled-components'

const createURLS = (path) => `
  url(https://static.segment.com/fonts/${path}.woff2) format('woff2'),
  url(https://static.segment.com/fonts/${path}.woff) format('woff');
  `

const Fonts = () => {
  injectGlobal`
  /**
   * Droid Sans Mono
   */

  @font-face {
    font-family: 'Droid Sans Mono';
    src: local('Droid Sans Mono'),
        ${createURLS('droid-sans-mono/droid-sans-mono')}
    font-style: normal;
    font-weight: 400;
  }

  /**
   * Aleo
   */

  @font-face {
    font-family: 'Segment Aleo';
    src: local('Aleo'),
      ${createURLS('aleo/aleo')}
    font-style: normal;
    font-weight: 400;
  }

  /**
   * Circular Std
   */

  @font-face {
    font-family: 'Segment Circular Std';
    src: local('Circular Std Book'),
         local('CircularStd-Book'),
         ${createURLS('circular/circular-std-book')}
    font-style: normal;
    font-weight: 400;
  }

  @font-face {
    font-family: 'Segment Circular Std';
    src: local('Circular Std Book Italic'),
         local('CircularStd-BookItalic'),
         ${createURLS('circular/circular-std-book-italic')}
    font-style: italic;
    font-weight: 400;
  }

  @font-face {
    font-family: 'Segment Circular Std';
    src: local('Circular Std Medium'), /* Medium has a spaced font name ¯\_(ツ)_/¯ */
         local('CircularStd-Medium'),
         ${createURLS('circular/circular-std-medium')}
    font-style: normal;
    font-weight: 500;
  }

  @font-face {
    font-family: 'Segment Circular Std';
    src: local('Circular Std Bold'),
         local('CircularStd-Bold'),
         ${createURLS('circular/circular-std-bold')}
    font-style: normal;
    font-weight: 600;
  }

  @font-face {
    font-family: 'Segment Circular Std';
    src: local('Circular Std Black'),
         local('CircularStd-Black'),
         ${createURLS('circular/circular-std-black')}
    font-style: normal;
    font-weight: 900;
  }
  `

  return null
}

export default Fonts
